### A free/open-source library for quantitative finance

Public Member Functions
PathwiseAccountingEngine Class Reference

Engine collecting cash flows along a market-model simulation for doing pathwise computation of Deltas. More...

`#include <ql/models/marketmodels/pathwiseaccountingengine.hpp>`

List of all members.

## Public Member Functions

| PathwiseAccountingEngine (const boost::shared_ptr< LogNormalFwdRateEuler > &evolver, const Clone< MarketModelPathwiseMultiProduct > &product, const boost::shared_ptr< MarketModel > &pseudoRootStructure, Real initialNumeraireValue)
void | multiplePathValues (SequenceStatisticsInc &stats, Size numberOfPaths)

## Detailed Description

Engine collecting cash flows along a market-model simulation for doing pathwise computation of Deltas.